org.keycloak.authentication.requiredactions

## Class VerifyEmail

- java.lang.Object
- - org.keycloak.authentication.requiredactions.VerifyEmail

- All Implemented Interfaces:
    DisplayTypeRequiredActionFactory, RequiredActionFactory, RequiredActionProvider, Provider, ProviderFactory<RequiredActionProvider>

      public class VerifyEmail
      extends Object
      implements RequiredActionProvider, RequiredActionFactory, DisplayTypeRequiredActionFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerifyEmail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `RequiredActionProvider` | `create(KeycloakSession session)`
    `RequiredActionProvider` | `createDisplay(KeycloakSession session, String displayType)`
    `void` | `evaluateTriggers(RequiredActionContext context)` Called every time a user authenticates.
    `String` | `getDisplayText()` Display text used in admin console to reference this required action
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized
    `void` | `processAction(RequiredActionContext context)` Called when a required action has form input you want to process.
    `void` | `requiredActionChallenge(RequiredActionContext context)` If the user has a required action set, this method will be the initial call to obtain what to display to the user's browser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.RequiredActionProvider

      `getMaxAuthAge, initiatedActionCanceled, initiatedActionSupport`

    - ### Methods inherited from interface org.keycloak.authentication.RequiredActionFactory

      `isOneTimeAction`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### VerifyEmail

          public VerifyEmail()

  - ### Method Detail

    - #### evaluateTriggers

          public void evaluateTriggers(RequiredActionContext context)

      Description copied from interface: `RequiredActionProvider`
      Called every time a user authenticates. This checks to see if this required action should be triggered. The implementation of this method is responsible for setting the required action on the UserModel. For example, the UpdatePassword required actions checks the password policies to see if the password has expired.
      Specified by:
        `evaluateTriggers` in interface `RequiredActionProvider`

    - #### requiredActionChallenge

          public void requiredActionChallenge(RequiredActionContext context)

      Description copied from interface: `RequiredActionProvider`
      If the user has a required action set, this method will be the initial call to obtain what to display to the user's browser. Return null if no action should be done.
      Specified by:
        `requiredActionChallenge` in interface `RequiredActionProvider`

    - #### processAction

          public void processAction(RequiredActionContext context)

      Description copied from interface: `RequiredActionProvider`
      Called when a required action has form input you want to process.
      Specified by:
        `processAction` in interface `RequiredActionProvider`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `Provider`
      Specified by:
        `close` in interface `ProviderFactory<RequiredActionProvider>`

    - #### create

          public RequiredActionProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<RequiredActionProvider>`

    - #### createDisplay

          public RequiredActionProvider createDisplay(KeycloakSession session,
                                                      String displayType)

      Specified by:
        `createDisplay` in interface `DisplayTypeRequiredActionFactory`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<RequiredActionProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<RequiredActionProvider>`

    - #### getDisplayText

          public String getDisplayText()

      Description copied from interface: `RequiredActionFactory`
      Display text used in admin console to reference this required action
      Specified by:
        `getDisplayText` in interface `RequiredActionFactory`
      Returns:

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<RequiredActionProvider>`

Copyright © 2020 JBoss by Red Hat. All rights reserved.